import AppFacade from "./AppFacade";

const {ccclass, property} = cc._decorator;
//启动动态图集 必须放这里
cc.macro.CLEANUP_IMAGE_CACHE = false
cc.dynamicAtlasManager.enabled = true

@ccclass
export default class Main extends cc.Component {
    
    onLoad(){
        AppFacade.onLoad()
    }
    
    start () {
        try{
            AppFacade.onStart()
        }catch(err){
            cc.error("运行出错",err)
        }
    }
 
    update(){
        try{
            AppFacade.onUpdate()
        }catch(err){
            cc.error("运行错误",err)
        }
    }

    lateUpdate(){
        AppFacade.onLateUpdate()
    }

    onDestroy(){
        AppFacade.onDestroy()
    }



}
